Skip to main content
POST
/
api
/
folders
/
create-or-get
Create or get folder
curl --request POST \
  --url https://api-prod.nomadicml.com/api/folders/create-or-get \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "scope": "user",
  "org_id": "<string>",
  "description": "<string>"
}
'
import requests

url = "https://api-prod.nomadicml.com/api/folders/create-or-get"

payload = {
"name": "<string>",
"scope": "user",
"org_id": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', scope: 'user', org_id: '<string>', description: '<string>'})
};

fetch('https://api-prod.nomadicml.com/api/folders/create-or-get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "org_id": "<string>",
  "description": "<string>",
  "created_at": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Body

application/json
name
string
required
scope
enum<string>
default:user
Available options:
user,
org
org_id
string
description
string

Response

Successful response.

id
string
name
string
org_id
string
description
string
created_at
string